Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.detail.attributes
Class LinkRenderer

    java.lang.Object
      org.gjt.jclasslib.browser.detail.attributes.LinkRenderer

All Implemented Interfaces:
  TableCellRenderer

public class LinkRenderer
extends Object
implements TableCellRenderer

Renderer for links in `ListDetailPane`s.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:17:02 $
Author:
  Ingo Kegel

Nested Class Summary
`static class` | `LinkRenderer.LinkCommentValue` Value object for a link with a comment.

Constructor Summary
`LinkRenderer()` Constructor.

Method Summary
`Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkRenderer

    public LinkRenderer()

  Constructor.

Method Detail

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int column)

  Specified by:
    `getTableCellRendererComponent` in interface `TableCellRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD